/*
 * Copyright 2013 Canonical Ltd.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * telephony-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1
import Ubuntu.Components.Popups 0.1
import Friends 0.1

Rectangle {
    id: status_update
    height: content.height
    width: parent.width
    color: "transparent"

    property string avatar: column_8
    property string sender: column_2
    property string message: column_7
    property int likes: column_10
    property string timestring: friendsUtils.createTimeString(column_6)

    FriendsUtils {
        id: friendsUtils
    }

    StatusUpdateTile {
        id: content
        height: childrenRect.height
    }

    ThinDivider {}
}
